Make ES5 the default environment #951

Closed
valueof opened this Issue Mar 22, 2013 · 3 comments

3 participants

@valueof
JSHint member

Currently, JSHint assumes ES3 as its default environment. Given that all major platforms support ES5 in their stable versions we need to change that default. This bug is fixed when:

  • By default JSHint assumes ES5 environment (no need for es5 flag anymore).
  • Users are able to opt into ES5 by using the es3:true flag.
@rwaldron
JSHint member

+1

@guyzmo

done

@valueof
JSHint member

Landed.

@valueof valueof closed this Apr 9, 2013
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment